Un module trop ancien / A module too old Rated 1 out of 5 stars

EN FRANCAIS / Le module n'a pas été mis à jour depuis 2009, n'est pas compatible avec Firefox 4.0 et semble abandonné. Un module équivalent et peut être même meilleur existe. Il s'agit de "Tile Tabs" qui est compatible avec Firefox 4.0 lui ! ............ IN ENGLISH / I would advice you to install instead of Split Browser another one "Tile Tabs" perhaps even the best and which works well with Firefox 4.0

This user has a previous review of this add-on.